function y = angmean(x,mag)
%y = angmean(A);
%y = angmean(A,mag);
%
%angmean is the mean of a set of angles.  Magnitudes can also be input to
%make this the mean of a set of vectors of angle A and magnitude mag.

if(nargin < 2)
    mag = ones(size(x));
end
ind = find(~isnan(x));
if(isempty(ind))
    y = nan;
else
    x = x(ind); mag = mag(ind);
    sx = mean(mag.*sin(x)); cx = mean(mag.*cos(x));
    y = atan2(sx,cx);
end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%