function [f1 f2] = halfband(f)
%[f1 f2] = halfband(f)
%
%halfband splits f into high and low components.

[f1 f2] = pband(f,1/2);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [g r] = pband(f,p)
%[g r] = pband(f,p)
%
%pband splits f into low and high frequency components, with cutoff, p. 
%Frequency is taken to be [0 1].

F = fft(f);
n = ceil(length(F)/2);
ind = [ceil(p*n):n+floor((1-p)*n)];
F(ind) = 0;
g = real(ifft(F));
r = f-g;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%