function [spec s] = powerspec(x,w)
%spec = powerspec(x,w)
%
%powerspec computes a wavelet power spectrum. x is any signal and w is a 
%vector of [0 1] normalized frequencies. 

wname = 'cmor1-1'; 
s = frq2scal(w,wname,1);
spec = abs(cwt(x,s,wname));
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function s = frq2scal(f,wname,delta)
%s = frq2scal(f,wname,delta)
%
%frq2scal is the inverse of scal2frq.  f is a list of 
%frequencies, wname is a wavelet, and delta is the sampling
%period (inverse of the sampling speed).

s = centfrq(wname)./ (f * delta);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%